<?php

namespace BitGoblin\Goliath\Models;

use Illuminate\Database\Eloquent\Model;
use League\CommonMark\CommonMarkConverter;

class Comment extends Model {

  protected $fillable = [
    'body',
    'ticket_id',
  ];

  public function render(): string {
    $converter = new CommonMarkConverter([
      'html_input' => 'strip',
      'allow_unsafe_links' => false,
    ]);

    return $converter->convert($this->body);
  }

  public function ticket() {
    return $this->belongsTo(Ticket::class);
  }

}
